[CRIU] [PATCH 2/4] test/other: check criu exec

Andrey Vagin avagin at openvz.org
Wed Jul 13 15:14:02 PDT 2016


From: Andrew Vagin <avagin at virtuozzo.com>

Signed-off-by: Andrew Vagin <avagin at virtuozzo.com>
---
 test/others/exec/Makefile |  2 ++
 test/others/exec/run.sh   | 14 ++++++++++++++
 2 files changed, 16 insertions(+)
 create mode 100644 test/others/exec/Makefile
 create mode 100755 test/others/exec/run.sh

diff --git a/test/others/exec/Makefile b/test/others/exec/Makefile
new file mode 100644
index 0000000..7779a99
--- /dev/null
+++ b/test/others/exec/Makefile
@@ -0,0 +1,2 @@
+run:
+	./run.sh
diff --git a/test/others/exec/run.sh b/test/others/exec/run.sh
new file mode 100755
index 0000000..0e47550
--- /dev/null
+++ b/test/others/exec/run.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+CRIU=../../../criu/criu
+
+set -e -m -x
+
+cat < /dev/zero > /dev/null &
+pid=$!
+
+$CRIU exec -t $pid fake_syscall && exit 1 || true
+$CRIU exec -t $pid open '&/dev/null' 0
+$CRIU exec -t $pid dup2 3 0
+wait $pid
+echo PASS
-- 
2.7.4



More information about the CRIU mailing list